Package com.google.gwt.dom.client

## Class InputElement

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.dom.client.Node
    - - com.google.gwt.dom.client.Element
      - - com.google.gwt.dom.client.InputElement

-     @TagName("input")
      public class InputElement
      extends Element

  Form control. Note: Depending upon the environment in which the page is being viewed, the value property may be read-only for the file upload input type. For the "password" input type, the actual value returned may be masked to prevent unauthorized use.
  See Also:
    W3C HTML Specification

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `TAG` |

    - ### Fields inherited from class com.google.gwt.dom.client.Element

      `DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

    - ### Fields inherited from class com.google.gwt.dom.client.Node

      `DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `InputElement()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static InputElement` | `as​(Element elem)` | Assert that the given `Element` is compatible with this class and automatically typecast it.
    `void` | `click()` | Simulate a mouse-click.
    `java.lang.String` | `getAccept()` | A comma-separated list of content types that a server processing this form will handle correctly.
    `java.lang.String` | `getAccessKey()` | A single character access key to give access to the form control.
    `java.lang.String` | `getAlt()` | Alternate text for user agents not rendering the normal content of this element.
    `java.lang.String` | `getDefaultValue()` | When the type attribute of the element has the value "text", "file" or "password", this represents the HTML value attribute of the element.
    `FormElement` | `getForm()` | Returns the FORM element containing this control.
    `int` | `getMaxLength()` | Maximum number of characters for text fields, when type has the value "text" or "password".
    `java.lang.String` | `getName()` | Form control or object name when submitted with a form.
    `int` | `getSize()` | Size information.
    `java.lang.String` | `getSrc()` | When the type attribute has the value "image", this attribute specifies the location of the image to be used to decorate the graphical submit button.
    `java.lang.String` | `getType()` | The type of control created (all lower case).
    `java.lang.String` | `getValue()` | When the type attribute of the element has the value "text", "file" or "password", this represents the current contents of the corresponding form control, in an interactive user agent.
    `static boolean` | `is​(JavaScriptObject o)` | Determines whether the given `JavaScriptObject` can be cast to this class.
    `static boolean` | `is​(Element elem)` | Determine whether the given `Element` can be cast to this class.
    `static boolean` | `is​(Node node)` | Determine whether the given `Node` can be cast to this class.
    `boolean` | `isChecked()` | When the type attribute of the element has the value "radio" or "checkbox", this represents the current state of the form control, in an interactive user agent.
    `boolean` | `isDefaultChecked()` | When type has the value "radio" or "checkbox", this represents the HTML checked attribute of the element.
    `boolean` | `isDisabled()` | The control is unavailable in this context.
    `boolean` | `isReadOnly()` | This control is read-only.
    `void` | `select()` | Select the contents of the text area.
    `void` | `setAccept​(java.lang.String accept)` | A comma-separated list of content types that a server processing this form will handle correctly.
    `void` | `setAccessKey​(java.lang.String accessKey)` | A single character access key to give access to the form control.
    `void` | `setAlt​(java.lang.String alt)` | Alternate text for user agents not rendering the normal content of this element.
    `void` | `setChecked​(boolean checked)` | When the type attribute of the element has the value "radio" or "checkbox", this represents the current state of the form control, in an interactive user agent.
    `void` | `setDefaultChecked​(boolean defaultChecked)` | When type has the value "radio" or "checkbox", this represents the HTML checked attribute of the element.
    `void` | `setDefaultValue​(java.lang.String defaultValue)` | When the type attribute of the element has the value "text", "file" or "password", this represents the HTML value attribute of the element.
    `void` | `setDisabled​(boolean disabled)` | The control is unavailable in this context.
    `void` | `setMaxLength​(int maxLength)` | Maximum number of characters for text fields, when type has the value "text" or "password".
    `void` | `setName​(java.lang.String name)` | Form control or object name when submitted with a form.
    `void` | `setReadOnly​(boolean readOnly)` | This control is read-only.
    `void` | `setSize​(int size)` | Size information.
    `void` | `setSrc​(java.lang.String src)` | When the type attribute has the value "image", this attribute specifies the location of the image to be used to decorate the graphical submit button.
    `void` | `setUseMap​(boolean useMap)` | Use client-side image map.
    `void` | `setValue​(java.lang.String value)` | When the type attribute of the element has the value "text", "file" or "password", this represents the current contents of the corresponding form control, in an interactive user agent.
    `boolean` | `useMap()` | Use client-side image map.

    - ### Methods inherited from class com.google.gwt.dom.client.Element

      `addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPreviousSiblingElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasClassName, hasTagName, indexOfName, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerSafeHtml, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle, toggleClassName`

    - ### Methods inherited from class com.google.gwt.dom.client.Node

      `appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeAllChildren, removeChild, removeFromParent, replaceChild, setNodeValue`

    - ### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

      `cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InputElement

          protected InputElement()

  - ### Method Detail

    - #### as

          public static InputElement as​(Element elem)

      Assert that the given `Element` is compatible with this class and automatically typecast it.

    - #### is

          public static boolean is​(JavaScriptObject o)

      Determines whether the given `JavaScriptObject` can be cast to this class. A `null` object will cause this method to return `false`.

    - #### is

          public static boolean is​(Node node)

      Determine whether the given `Node` can be cast to this class. A `null` node will cause this method to return `false`.

    - #### is

          public static boolean is​(Element elem)

      Determine whether the given `Element` can be cast to this class. A `null` node will cause this method to return `false`.

    - #### click

          public final void click()

      Simulate a mouse-click. For INPUT elements whose type attribute has one of the following values: "button", "checkbox", "radio", "reset", or "submit".

    - #### getAccept

          public final java.lang.String getAccept()

      A comma-separated list of content types that a server processing this form will handle correctly.
      See Also:
        W3C HTML Specification

    - #### getAccessKey

          public final java.lang.String getAccessKey()

      A single character access key to give access to the form control.
      See Also:
        W3C HTML Specification

    - #### getAlt

          public final java.lang.String getAlt()

      Alternate text for user agents not rendering the normal content of this element.
      See Also:
        W3C HTML Specification

    - #### getDefaultValue

          public final java.lang.String getDefaultValue()

      When the type attribute of the element has the value "text", "file" or "password", this represents the HTML value attribute of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes.
      See Also:
        W3C HTML Specification

    - #### getForm

          public final FormElement getForm()

      Returns the FORM element containing this control. Returns null if this control is not within the context of a form.

    - #### getMaxLength

          public final int getMaxLength()

      Maximum number of characters for text fields, when type has the value "text" or "password".
      See Also:
        W3C HTML Specification

    - #### getName

          public final java.lang.String getName()

      Form control or object name when submitted with a form.
      See Also:
        W3C HTML Specification

    - #### getSize

          public final int getSize()

      Size information. The precise meaning is specific to each type of field.
      See Also:
        W3C HTML Specification

    - #### getSrc

          public final java.lang.String getSrc()

      When the type attribute has the value "image", this attribute specifies the location of the image to be used to decorate the graphical submit button.
      See Also:
        W3C HTML Specification

    - #### getType

          public final java.lang.String getType()

      The type of control created (all lower case).
      See Also:
        W3C HTML Specification

    - #### getValue

          public final java.lang.String getValue()

      When the type attribute of the element has the value "text", "file" or "password", this represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the value of the HTML value attribute of the element. When the type attribute of the element has the value "button", "hidden", "submit", "reset", "image", "checkbox" or "radio", this represents the HTML value attribute of the element.
      See Also:
        W3C HTML Specification

    - #### isChecked

          public final boolean isChecked()

      When the type attribute of the element has the value "radio" or "checkbox", this represents the current state of the form control, in an interactive user agent. Changes to this attribute change the state of the form control, but do not change the value of the HTML checked attribute of the INPUT element. Note: During the handling of a click event on an input element with a type attribute that has the value "radio" or "checkbox", some implementations may change the value of this property before the event is being dispatched in the document. If the default action of the event is canceled, the value of the property may be changed back to its original value. This means that the value of this property during the handling of click events is implementation dependent.

    - #### isDefaultChecked

          public final boolean isDefaultChecked()

      When type has the value "radio" or "checkbox", this represents the HTML checked attribute of the element. The value of this attribute does not change if the state of the corresponding form control, in an interactive user agent, changes.
      See Also:
        W3C HTML Specification

    - #### isDisabled

          public final boolean isDisabled()

      The control is unavailable in this context.
      See Also:
        W3C HTML Specification

    - #### isReadOnly

          public final boolean isReadOnly()

      This control is read-only. Relevant only when type has the value "text" or "password".
      See Also:
        W3C HTML Specification

    - #### select

          public final void select()

      Select the contents of the text area. For INPUT elements whose type attribute has one of the following values: "text", "file", or "password".

    - #### setAccept

          public final void setAccept​(java.lang.String accept)

      A comma-separated list of content types that a server processing this form will handle correctly.
      See Also:
        W3C HTML Specification

    - #### setAccessKey

          public final void setAccessKey​(java.lang.String accessKey)

      A single character access key to give access to the form control.
      See Also:
        W3C HTML Specification

    - #### setAlt

          public final void setAlt​(java.lang.String alt)

      Alternate text for user agents not rendering the normal content of this element.
      See Also:
        W3C HTML Specification

    - #### setChecked

          public final void setChecked​(boolean checked)

      When the type attribute of the element has the value "radio" or "checkbox", this represents the current state of the form control, in an interactive user agent. Changes to this attribute change the state of the form control, but do not change the value of the HTML checked attribute of the INPUT element. Note: During the handling of a click event on an input element with a type attribute that has the value "radio" or "checkbox", some implementations may change the value of this property before the event is being dispatched in the document. If the default action of the event is canceled, the value of the property may be changed back to its original value. This means that the value of this property during the handling of click events is implementation dependent.

    - #### setDefaultChecked

          public final void setDefaultChecked​(boolean defaultChecked)

      When type has the value "radio" or "checkbox", this represents the HTML checked attribute of the element. The value of this attribute does not change if the state of the corresponding form control, in an interactive user agent, changes.
      See Also:
        W3C HTML Specification

    - #### setDefaultValue

          public final void setDefaultValue​(java.lang.String defaultValue)

      When the type attribute of the element has the value "text", "file" or "password", this represents the HTML value attribute of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes.
      See Also:
        W3C HTML Specification

    - #### setDisabled

          public final void setDisabled​(boolean disabled)

      The control is unavailable in this context.
      See Also:
        W3C HTML Specification

    - #### setMaxLength

          public final void setMaxLength​(int maxLength)

      Maximum number of characters for text fields, when type has the value "text" or "password".
      See Also:
        W3C HTML Specification

    - #### setName

          public final void setName​(java.lang.String name)

      Form control or object name when submitted with a form.
      See Also:
        W3C HTML Specification

    - #### setReadOnly

          public final void setReadOnly​(boolean readOnly)

      This control is read-only. Relevant only when type has the value "text" or "password".
      See Also:
        W3C HTML Specification

    - #### setSize

          public final void setSize​(int size)

      Size information. The precise meaning is specific to each type of field.
      See Also:
        W3C HTML Specification

    - #### setSrc

          public final void setSrc​(java.lang.String src)

      When the type attribute has the value "image", this attribute specifies the location of the image to be used to decorate the graphical submit button.
      See Also:
        W3C HTML Specification

    - #### setUseMap

          public final void setUseMap​(boolean useMap)

      Use client-side image map.
      See Also:
        W3C HTML Specification

    - #### setValue

          public final void setValue​(java.lang.String value)

      When the type attribute of the element has the value "text", "file" or "password", this represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the value of the HTML value attribute of the element. When the type attribute of the element has the value "button", "hidden", "submit", "reset", "image", "checkbox" or "radio", this represents the HTML value attribute of the element.
      See Also:
        W3C HTML Specification

    - #### useMap

          public final boolean useMap()

      Use client-side image map.
      See Also:
        W3C HTML Specification